cURL
curl --request POST \ --url https://prod.oneloop.ai/api/v1/workspace/{id}/api-key/{akid}/rotate \ --header 'Authorization: Bearer <token>'
{ "apiKey": { "id": "<string>", "name": "<string>", "maskedKey": "<string>", "prefix": "<string>", "expiresAt": 1, "scopes": [ { "representation": "<string>", "create": true, "read": true, "update": true, "del": true, "id": "<string>" } ], "enabled": true, "customerId": "<string>", "deleted": true, "createdAt": "<string>", "updatedAt": "<string>", "lastUsedAt": "<string>", "billingId": "<string>", "key": "<string>" } }
Documentation IndexFetch the complete documentation index at: https://docs.oneloop.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The workspace id.
The API key id.
The newly rotated key
Show child attributes